#
# spec file for package c2hs
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with tests
Name:           c2hs
Version:        0.28.1
Release:        2.6
Summary:        C->Haskell FFI tool that gives some cross-language type safety
License:        GPL-2.0+
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-language-c-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-shelly-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
%endif
# End cabal-rpm deps

%description
C->Haskell assists in the development of Haskell bindings to C libraries.
It extracts interface information from C header files and generates Haskell
code with foreign imports and marshaling. Unlike writing foreign imports by
hand (or using hsc2hs), this ensures that C functions are imported with the
correct Haskell types.

%prep
%setup -q


%build
%{ghc_bin_build}


%install
%{ghc_bin_install}


%check
%if %{with tests}
%{cabal} test
%endif


%files
%defattr(-,root,root,-)
%doc COPYING
%doc doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}

%changelog
* Sun Apr  3 2016 mimi.vx@gmail.com
- update to 0.28.1
  * Switch to language-c 0.5
  * Fix class hook problem with imports
* Mon Feb 22 2016 psimons@suse.com
- initial version c2hs-0.27.1
